download_xml {xml2} | R Documentation

## Download a HTML or XML file

### Description

Download a HTML or XML file

### Usage

    download_xml(url, file = basename(url), quiet = TRUE, mode = "wb",
      handle = curl::new_handle())

    download_html(url, file = basename(url), quiet = TRUE, mode = "wb",
      handle = curl::new_handle())

### Arguments

`url` | A character string naming the URL of a resource to be downloaded.
`file` | A character string with the name where the downloaded file is saved.
`quiet` | If `TRUE`, suppress status messages (if any), and the progress bar.
`mode` | A character string specifying the mode with which to write the file. Useful values are `"w"`, `"wb"` (binary), `"a"` (append) and `"ab"`.
`handle` | a curl handle object

### Details

The main difference between `curl_download` and `curl_fetch_disk` is that `curl_download` checks the http status code before starting the download, and raises an error when status is non-successful. The behavior of `curl_fetch_disk` on the other hand is to proceed as normal and write the error page to disk in case of a non success response.

### Value

Path of downloaded file (invisibly).

### See Also

curl_download

### Examples

    ## Not run:
    download_html("http://tidyverse.org/index.html")

    ## End(Not run)

[Package xml2 version 1.2.0 Index]